Unit tde48e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE48E_p, DE48E_p;

function tde48e: String;

implementation

function tde48e: String;
var
M,IH,JSTART,IERR :Integer;
H,HMIN,XN,Y1,Y2,X,HMAX,EPS,P :Extended;
BUL :Boolean;
Y :Array [0..1] of Extended;
DY :Array [0..1] of Extended;
DELTY :Array [0..1] of Extended;
DF :Array [0..9] of Extended;
YP :Array [0..1] of Extended;
DYP :Array [0..1] of Extended;
RFN :Array [0..1] of Extended;
RF :Array [0..1] of Extended;
label
_6,_7,_8,_20;
begin
Result := '';  {   }
HMIN := 1.e-10;
M := 2;
XN := 0.75e0*3.1415926535897932e0;
H := 0.01e0;
Y[0] := Sqrt(2.e0)/2.e0;
Y[1] := -Y[0];
EPS := 0.0001e0;
DY[0] := Y[1];
DY[1] := -Y[0];
IH := 0;
BUL := False;
JSTART := 0;
P := 100.e0;
HMAX := 0.1e0;
_6:
DE48E(FDE48E,M,JSTART,HMIN,HMAX,EPS,P,Y,X,DY,H,BUL,DELTY,
     DF,RFN,RF,YP,DYP,IERR);
IH := IH+1;
Y1 := Sin(X);
Y2 := Cos(X);
Result := Result + Format(' %20.16f %20.16f %20.16f %20.16f %20.16f %20.16f ',
 [X,Y[0],Y[1],H,Y1,Y2]) + #$0D#$0A;
if ( IH = 1 ) 
 then goto _6;
if ( IH = 5 ) 
 then goto _20;
JSTART := -1;
if ( IH = 4 ) 
 then goto _8;
if ( IH = 3 ) 
 then goto _7;
H := 0.005e0;
H := -H;
goto _6;
_7:
H := 0.02e0;
goto _6;
_8:
H := 0.01e0;
goto _6;
if ( IERR <> 0 ) 
 then goto _20;
_20:
UtRes('tde48e',Result);  {     tde48e.res }
exit;
end;

end.
